%define gstreamerver 0.8.0
Name: 		nautilus-media
Version: 0.8.1
Release: 	2mdk
Summary: 	A Nautilus media package with views and thumbnailers.
Group: 		Sound
License: 	LGPL
URL:		http://www.gnome.org/
Source0: 	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
# (fc) 0.8.1-2mdk avoid wav files, they crashes audio view
Patch0:		nautilus-media-0.8.1-no-wav.patch.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot

Requires: 	gstreamer-audio-effects >= %gstreamerver
Requires: 	gstreamer-audio-formats >= %gstreamerver
Requires:	gstreamer-vorbis >= %gstreamerver
Requires:	gstreamer-GConf >= %gstreamerver
#gw required by the thumbnailer
Requires:	gstreamer-libpng >= %gstreamerver

BuildRequires:	gstreamer-plugins-devel >= %gstreamerver
BuildRequires:	nautilus-devel
#gw for the broken inltool
BuildRequires: perl-XML-Parser

%description
This package contains a Nautilus view for audio using GStreamer.

%prep
%setup -q
%patch0 -p1 -b .nowav

%build

%configure2_5x

%make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%{find_lang} %{name}

#remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_datadir}/gnome-2.0/ui/nautilus-test-view-ui.xml \
  $RPM_BUILD_ROOT%{_libexecdir}/nautilus-test-view \
  $RPM_BUILD_ROOT%{_libdir}/bonobo/servers/Nautilus_View_test.server \
  $RPM_BUILD_ROOT%{_libdir}/bonobo/*.{la,a}

%post
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gst-thumbnail.schemas > /dev/null

%preun
if [ "$1" = "0" ]; then
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gst-thumbnail.schemas > /dev/null
fi


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING README ChangeLog
%{_sysconfdir}/gconf/schemas/*
%{_bindir}/*
%{_libdir}/bonobo/servers/*
%{_libdir}/bonobo/*.so
%{_libexecdir}/nautilus-*-view
%{_datadir}/pixmaps/*
%{_datadir}/gnome-2.0/ui/*
%{_datadir}/nautilus/glade/*

%changelog
* Mon Oct 25 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.1-2mdk
- New release 0.8.1
- Patch0 (Fedora): avoid wav files, they crash audio view

* Wed Apr 07 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.0-1mdk
- Release 0.8.0 (with Gtz help)

* Wed Mar  3 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.3.4-2mdk
- fix buildrequires

* Fri Feb 13 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.4-1mdk
- Release 0.3.4

* Thu Sep 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.3.1-1mdk
- Release 0.3.3.1

* Tue Sep 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.3-2mdk
- Fix BuildRequires

* Wed Aug 27 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.3.3-1mdk
- new version

* Mon Jul 21 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.3.0-3mdk
- requires gstreamer-libpng

* Fri Jul 18 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.3.0-2mdk
- Rebuild against latest ORBit2

* Tue Jun 10 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.3.0-1mdk
- don't call libtoolize, as they use a newer libtool 
- require new gstreamer
- new version

* Thu Feb  6 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.1-1mdk
- Release 0.2.1

* Tue Feb  4 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.2.0-2mdk
- fix requires
- new gstreamer

* Thu Jan 23 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.0-1mdk
- Release 0.2.0

* Fri Jan 17 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.2-2mdk
- Recompiled against latest openssl

* Wed Jan  8 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.2-1mdk
- First Mandrake package

* Fri Oct 25 2002 Thomas Vander Stichele <thomas@apestaart.org>
- initial spec file
